TaxonomyRowBuffer (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.server.persistence

## Class TaxonomyRowBuffer

- java.lang.Object
- - org.gcube.portlets.user.speciesdiscovery.server.persistence.AbstractDaoBuffer<T>
  - - org.gcube.portlets.user.speciesdiscovery.server.persistence.AbstractSelectableDaoBuffer<TaxonomyRow>
    - - org.gcube.portlets.user.speciesdiscovery.server.persistence.TaxonomyRowBuffer

- All Implemented Interfaces:
    FetchingBuffer<TaxonomyRow>, FilterableFetchingBuffer<TaxonomyRow>, SelectableFetchingBuffer<TaxonomyRow>

      public class TaxonomyRowBuffer
      extends AbstractSelectableDaoBuffer<TaxonomyRow>
      implements FilterableFetchingBuffer<TaxonomyRow>

  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it

- - ### Field Summary

    - ### Fields inherited from class org.gcube.portlets.user.speciesdiscovery.server.persistence.AbstractSelectableDaoBuffer

      `idField, selectionField`

    - ### Fields inherited from class org.gcube.portlets.user.speciesdiscovery.server.persistence.AbstractDaoBuffer

      `dao, logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaxonomyRowBuffer(AbstractPersistence<TaxonomyRow> dao)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(TaxonomyRow row)`
    `List<TaxonomyRow>` | `getFilteredList(FilterCriteria filterCriteria)`
    `int` | `getFilteredListSize()`
    `void` | `updateAllSelection(boolean selection)`
    `void` | `updateAllSelectionByIds(boolean selection, List<String> listIds)`

    - ### Methods inherited from class org.gcube.portlets.user.speciesdiscovery.server.persistence.AbstractSelectableDaoBuffer

      `getSelected, sizeSelected, updateSelection`

    - ### Methods inherited from class org.gcube.portlets.user.speciesdiscovery.server.persistence.AbstractDaoBuffer

      `getList, getList, getList, size`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.gcube.portlets.user.speciesdiscovery.server.session.FetchingBuffer

      `getList, getList, getList, size`

- - ### Constructor Detail

    - #### TaxonomyRowBuffer

          public TaxonomyRowBuffer(AbstractPersistence<TaxonomyRow> dao)

  - ### Method Detail

    - #### add

          public void add(TaxonomyRow row)
                   throws Exception

      Specified by:
        `add` in interface `FetchingBuffer<TaxonomyRow>`
      Overrides:
        `add` in class `AbstractDaoBuffer<TaxonomyRow>`
      Throws:
        `Exception`

    - #### getFilteredList

          public List<TaxonomyRow> getFilteredList(FilterCriteria filterCriteria)
                                            throws SQLException

      Specified by:
        `getFilteredList` in interface `FilterableFetchingBuffer<TaxonomyRow>`
      Throws:
        `SQLException`

    - #### getFilteredListSize

          public int getFilteredListSize()
                                  throws SQLException

      Specified by:
        `getFilteredListSize` in interface `FilterableFetchingBuffer<TaxonomyRow>`
      Throws:
        `SQLException`

    - #### updateAllSelection

          public void updateAllSelection(boolean selection)
                                  throws Exception

      Description copied from class: `AbstractSelectableDaoBuffer`
      Specified by:
        `updateAllSelection` in interface `SelectableFetchingBuffer<TaxonomyRow>`
      Specified by:
        `updateAllSelection` in class `AbstractSelectableDaoBuffer<TaxonomyRow>`
      Throws:
        `Exception`

    - #### updateAllSelectionByIds

          public void updateAllSelectionByIds(boolean selection,
                                     List<String> listIds)
                                       throws Exception

      Specified by:
        `updateAllSelectionByIds` in interface `SelectableFetchingBuffer<TaxonomyRow>`
      Throws:
        `Exception`

Copyright © 2013. All Rights Reserved.